'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var cwd = args.cwd || process.cwd();
  var webpackConfig = (0, _utils.getWebpackConfig)('prod', cwd);
  return new Promise(function (resolve, reject) {
    (0, _build2.default)({
      webpackConfig: webpackConfig,
      success: function success() {
        var success = true;
        (0, _ideUtil.send)({ type: _ideUtil.DONE, success: success });
        resolve();
      },
      fail: function fail() {
        var success = false;
        (0, _ideUtil.send)({ type: _ideUtil.DONE, success: success });
        reject();
        process.exit(1);
      }
    });
  });
};

var _build = require('ide-webpack-common/lib/build');

var _build2 = _interopRequireDefault(_build);

var _ideUtil = require('ide-util');

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line

/**
 * 凤蝶模板包静态资源编译
 */
module.exports = exports['default']; // eslint-disable-line