'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (req, res, next) {
  if (req.method.toUpperCase() === 'POST' || req.method.toUpperCase() === 'PUT') {
    var fileName = req.url.slice(1);
    if (_fs2.default.existsSync(fileName)) {
      console.log('mock ' + req.method + ' request ' + req.url + ' with local file ' + fileName);

      var body = _fs2.default.readFileSync(fileName).toString();
      try {
        body = JSON.parse(body);
      } catch (e) {
        body = {
          errorMsg: fileName + ' parse error'
        };
      }
      res.set('Content-Type', 'application/json; charset=utf-8');
      res.json(body);
      return;
    }
  }
  next();
};

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = exports['default'];