'use strict';

var _build = require('../build');

var _build2 = _interopRequireDefault(_build);

var _pack = require('../pack');

var _pack2 = _interopRequireDefault(_pack);

var _utils = require('../utils');

var _ideUtil = require('ide-util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line

/**
 * 静态资源打包+凤蝶模板包打包
 */
process.env.NODE_ENV = 'production';

var _require$option$help = require('yargs').option('cwd', {
  type: 'string',
  describe: 'Project path',
  default: null
}).help('h'),
    argv = _require$option$help.argv;

var buildPack = function buildPack() {
  (0, _build2.default)(argv).then(function () {
    (0, _pack2.default)(argv).then(function (_ref) {
      var tarFile = _ref.tarFile,
          spinner = _ref.spinner;

      spinner.succeed('\u6253\u5305\u6210\u529F\uFF0C\u8F93\u51FA\u8DEF\u5F84\uFF1A ' + tarFile);
    }).catch(function (err) {
      console.log(_ideUtil.chalk.red(err));
      process.exit(1);
    });
  }).catch(function (err) {
    console.log(_ideUtil.chalk.red(err));
    process.exit(1);
  });
};

(0, _utils.installDeps)(argv.cwd || process.cwd()).then(buildPack, buildPack);