'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _build = require('../build');

var _build2 = _interopRequireDefault(_build);

var _pack = require('../pack');

var _pack2 = _interopRequireDefault(_pack);

var _publish = require('../publish');

var _publish2 = _interopRequireDefault(_publish);

var _utils = require('../utils');

var _ideUtil = require('ide-util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line

process.env.NODE_ENV = 'production';

var _require$option$optio = require('yargs').option('cwd', {
  type: 'string',
  describe: 'Project path',
  default: null
}).option('force', {
  type: 'boolean',
  describe: 'Enter Fengdie AK and Sk Force',
  default: false
}).help('h'),
    argv = _require$option$optio.argv;

var buildPack = function buildPack() {
  (0, _build2.default)(argv).then(function () {
    (0, _pack2.default)(argv).then(function (_ref) {
      var tarFile = _ref.tarFile,
          spinner = _ref.spinner;

      spinner.succeed('\u6253\u5305\u6210\u529F\uFF0C\u8F93\u51FA\u8DEF\u5F84\uFF1A ' + tarFile);
      var pubArg = _extends({}, argv, {
        tarFile: tarFile
      });
      (0, _publish2.default)(pubArg)
      // eslint-disable-next-line
      .then(function (_ref2) {
        var ret = _ref2.ret,
            spinner = _ref2.spinner;

        spinner.succeed('上传成功\n\n请前往 https://fengdie.alipay-eco.com/package/template?from=IDE 进行试用和上架模板');
      })
      // eslint-disable-next-line
      .catch(function (_ref3) {
        var err = _ref3.err,
            spinner = _ref3.spinner;

        // eslint-disable-line
        spinner.fail('publish \u5931\u8D25\n\n' + err);
      });
    }).catch(function (_ref4) {
      var err = _ref4.err,
          spinner = _ref4.spinner;

      spinner.fail('\u6253\u5305\u5931\u8D25\n\n' + err);
    });
  }).catch(function (error) {
    console.log(_ideUtil.chalk.red(error));
  });
};

(0, _utils.installDeps)(argv.cwd || process.cwd()).then(buildPack, buildPack);